complexType "CreditEvents"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 1 attribute, 14 elements
Defined: | globally in fpml-option-shared-5-5.xsd; see XML source
Includes: | definitions of 1 attribute, 14 elements
Used: | at 3 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | bankruptcy?, failureToPay?, failureToPayPrincipal?, failureToPayInterest?, obligationDefault?, obligationAcceleration?, repudiationMoratorium?, restructuring?, distressedRatingsDowngrade?, maturityExtension?, writedown?, impliedWritedown?, defaultRequirement?, creditEventNotice?
</...>

Content Model Elements (14):

  bankruptcy (defined in CreditEvents complexType),
  creditEventNotice (defined in CreditEvents complexType),
  defaultRequirement,
  distressedRatingsDowngrade,
  failureToPay (defined in CreditEvents complexType),
  failureToPayInterest,
  failureToPayPrincipal (defined in CreditEvents complexType),
  impliedWritedown (defined in CreditEvents complexType),
  maturityExtension,
  obligationAcceleration (defined in CreditEvents complexType),
  obligationDefault (defined in CreditEvents complexType),
  repudiationMoratorium (defined in CreditEvents complexType),
  restructuring (defined in CreditEvents complexType),
  writedown (defined in CreditEvents complexType)

All Direct / Indirect Based Elements (3):

  creditEvents (defined in ProtectionTerms complexType),
  creditEvents (in creditCurve),
  creditEvents (in trigger defined in TriggerEvent complexType)

Known Usage Locations

- As direct type of elements (3):
  creditEvents (defined in ProtectionTerms complexType),
  creditEvents (in creditCurve),
  creditEvents (in trigger defined in TriggerEvent complexType)

XML Source (w/o annotations (14); see within schema source)

<xsd:complexType name="CreditEvents"> <xsd:sequence> <xsd:element minOccurs="0" name="bankruptcy" type="xsd:boolean"/> <xsd:element minOccurs="0" name="failureToPay" type="FailureToPay"/> <xsd:element minOccurs="0" name="failureToPayPrincipal" type="xsd:boolean"/> <xsd:element minOccurs="0" name="failureToPayInterest" type="xsd:boolean"/> <xsd:element minOccurs="0" name="obligationDefault" type="xsd:boolean"/> <xsd:element minOccurs="0" name="obligationAcceleration" type="xsd:boolean"/> <xsd:element minOccurs="0" name="repudiationMoratorium" type="xsd:boolean"/> <xsd:element minOccurs="0" name="restructuring" type="Restructuring"/> <xsd:element minOccurs="0" name="distressedRatingsDowngrade" type="xsd:boolean"/> <xsd:element minOccurs="0" name="maturityExtension" type="xsd:boolean"/> <xsd:element minOccurs="0" name="writedown" type="xsd:boolean"/> <xsd:element minOccurs="0" name="impliedWritedown" type="xsd:boolean"/> <xsd:element minOccurs="0" name="defaultRequirement" type="Money"/> <xsd:element minOccurs="0" name="creditEventNotice" type="CreditEventNotice"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID" use="optional"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID" use="optional"/>

Content Element Detail (all declarations; defined within this component only; 14/14)
bankruptcy

  Type: | xsd:boolean, predefined, simple content

  A credit event. The reference entity has been dissolved or has become insolvent. It also covers events that may be a precursor to insolvency such as instigation of bankruptcy or insolvency proceedings. Sovereign trades are not subject to Bankruptcy as "technically" a Sovereign cannot become bankrupt. ISDA 2003 Term: Bankruptcy.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="bankruptcy" type="xsd:boolean"/>

creditEventNotice

  Type: | CreditEventNotice, complex content

  A specified condition to settlement. An irrevocable written or verbal notice that describes a credit event that has occurred. The notice is sent from the notifying party (either the buyer or the seller) to the counterparty. It provides information relevant to determining that a credit event has occurred. This is typically accompanied by Publicly Available Information. ISDA 2003 Term: Credit Event Notice.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="creditEventNotice" type="CreditEventNotice"/>

defaultRequirement

  Type: | Money, complex content

  In relation to certain credit events, serves as a threshold for Obligation Acceleration, Obligation Default, Repudiation/Moratorium and Restructuring. Market standard is USD 10,000,000 (JPY 1,000,000,000 for all Japanese Yen trades). This is applied on an aggregate or total basis across all Obligations of the Reference Entity. Used to prevent technical/operational errors from triggering credit events. ISDA 2003 Term: Default Requirement.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="defaultRequirement" type="Money"/>

distressedRatingsDowngrade

  Type: | xsd:boolean, predefined, simple content

  A credit event. Results from the fact that the rating of the reference obligation is downgraded to a distressed rating level. From a usage standpoint, this credit event is typically not applicable in case of RMBS trades.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="distressedRatingsDowngrade" type="xsd:boolean"/>

failureToPay

  Type: | FailureToPay, complex content

  A credit event. This credit event triggers, after the expiration of any applicable grace period, if the reference entity fails to make due payments in an aggregrate amount of not less than the payment requirement on one or more obligations (e.g. a missed coupon payment). ISDA 2003 Term: Failure to Pay.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="failureToPay" type="FailureToPay"/>

failureToPayInterest

  Type: | xsd:boolean, predefined, simple content

  A credit event. Corresponds to the failure by the Reference Entity to pay an expected interest amount or the payment of an actual interest amount that is less than the expected interest amount. ISDA 2003 Term: Failure to Pay Interest.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="failureToPayInterest" type="xsd:boolean"/>

failureToPayPrincipal

  Type: | xsd:boolean, predefined, simple content

  A credit event. Corresponds to the failure by the Reference Entity to pay an expected principal amount or the payment of an actual principal amount that is less than the expected principal amount. ISDA 2003 Term: Failure to Pay Principal.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="failureToPayPrincipal" type="xsd:boolean"/>

impliedWritedown

  Type: | xsd:boolean, predefined, simple content

  A credit event. Results from the fact that losses occur to the underlying instruments that do not result in reductions of the outstanding principal of the reference obligation.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="impliedWritedown" type="xsd:boolean"/>

maturityExtension

  Type: | xsd:boolean, predefined, simple content

  A credit event. Results from the fact that the underlier fails to make principal payments as expected.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="maturityExtension" type="xsd:boolean"/>

obligationAcceleration

  Type: | xsd:boolean, predefined, simple content

  A credit event. One or more of the obligations have been declared due and payable before they would otherwise have been due and payable as a result of, or on the basis of, the occurrence of a default, event of default or other similar condition or event other than failure to pay (preferred by the market over Obligation Default, because more definitive and encompasses the definition of Obligation Default - this is more favorable to the Seller). Subject to the default requirement amount. ISDA 2003 Term: Obligation Acceleration.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="obligationAcceleration" type="xsd:boolean"/>

obligationDefault

  Type: | xsd:boolean, predefined, simple content

  A credit event. One or more of the obligations have become capable of being declared due and payable before they would otherwise have been due and payable as a result of, or on the basis of, the occurrence of a default, event of default or other similar condition or event other than failure to pay. ISDA 2003 Term: Obligation Default.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="obligationDefault" type="xsd:boolean"/>

repudiationMoratorium

  Type: | xsd:boolean, predefined, simple content

  A credit event. The reference entity, or a governmental authority, either refuses to recognise or challenges the validity of one or more obligations of the reference entity, or imposes a moratorium thereby postponing payments on one or more of the obligations of the reference entity. Subject to the default requirement amount. ISDA 2003 Term: Repudiation/Moratorium.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="repudiationMoratorium" type="xsd:boolean"/>

restructuring

  Type: | Restructuring, complex content

  A credit event. A restructuring is an event that materially impacts the reference entity's obligations, such as an interest rate reduction, principal reduction, deferral of interest or principal, change in priority ranking, or change in currency or composition of payment. ISDA 2003 Term: Restructuring.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="restructuring" type="Restructuring"/>

writedown

  Type: | xsd:boolean, predefined, simple content

  A credit event. Results from the fact that the underlier writes down its outstanding principal amount.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="writedown" type="xsd:boolean"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.